#pragma once
#include "Mod.h"

class ToggleSounds : public Mod {
public:
	int mode = 0;
	float volume = 1.f, pitch = 1.f, disablepitch = 0.9f;
	ToggleSounds() : Mod("Toggle Sounds", "Sounds when any of the mods are turned on or off.", Category::OTHER) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1), new int(0), 1, {
			_("Pop"), ("Click") 
			}, true});
		
		settings.push_back(new Setting{ _("Sound Settings"), 0, 0, 0, 3, {}, true });
		settings.push_back(new Setting{ _("Volume"), &volume, new float(2.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Pitch"), &pitch, new float(2.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Disable Pitch"), &disablepitch, new float(2.f), new float(0.f), 2, {}, true });

		enabled = false;
	}

private:
	virtual auto onAnyEnabled() -> void override;
	virtual auto onAnyDisabled() -> void override;
};
